{"openapi":"3.0.4","info":{"title":"Get instrument","description":"Retrieve the definition of a particular instrument, as identified by a particular unique identifier.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/instruments/{identifierType}/{identifier}":{"get":{"tags":["Instruments"],"summary":"Get instrument","description":"Retrieve the definition of a particular instrument, as identified by a particular unique identifier.","operationId":"GetInstrument","parameters":[{"name":"identifierType","in":"path","description":"The unique identifier type to use, for example 'Figi'.","required":true,"schema":{"type":"string"}},{"name":"identifier","in":"path","description":"An <i>identifierType</i> value to use to identify the instrument, for example 'BBG000BLNNV0'.","required":true,"schema":{"type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to retrieve the instrument.\r\n            Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the instrument. Defaults to\r\n            returning the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'Instrument' domain to decorate onto\r\n            the instrument, or from any domain that supports relationships to decorate onto related entities.\r\n            These must have the format {domain}/{scope}/{code}, for example 'Instrument/system/Name'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"scope","in":"query","description":"The scope in which the instrument lies. When not supplied the scope is 'default'.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string","default":"default"}},{"name":"relationshipDefinitionIds","in":"query","description":"A list of relationship definitions that are used to decorate related entities\r\n            onto the instrument in the response. These must take the form {relationshipDefinitionScope}/{relationshipDefinitionCode}.","schema":{"type":"array","items":{"type":"string","description":"Identifiers of an entity"}},"x-nullable":true},{"name":"dataModelScope","in":"query","description":"The optional scope of a Custom Data Model to use.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"dataModelCode","in":"query","description":"The optional code of a Custom Data Model to use.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"timelineScope","in":"query","description":"The scope of the Timeline.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"timelineCode","in":"query","description":"The code of the Timeline. This can optionally include a colon followed by the Closed Period ID to use at the head of the timeline, for a timeline with unconfirmed periods.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+(:[a-zA-Z0-9\\-_]+)?$","type":"string"}},{"name":"closedPeriodId","in":"query","description":"The closed period ID. If this is specified, both timelineScope and timelineCode must be specified.","schema":{"maxLength":512,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"The requested instrument.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Instrument"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Instrument"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Instrument"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}